summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathas2015-06-09 23:15:34 -0300
committerJonathas2015-06-09 23:15:34 -0300
commit273a67733d8b5db00a7b63775af7d0e263f31f5f (patch)
tree2591e551f58da6a5f1490a3e6ce7d81959664502
downloadaur-273a67733d8b5db00a7b63775af7d0e263f31f5f.tar.gz
Initial import
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD56
2 files changed, 75 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6a5e132c275
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = perl-text-findindent
+ pkgdesc = 'Heuristically determine the indent style'
+ pkgver = 0.10
+ pkgrel = 1
+ url = http://search.cpan.org/~smueller/Text-FindIndent
+ arch = i686
+ arch = x86_64
+ license = perl
+ makedepends = perl
+ depends = perl>=5.10.1
+ provides = text-findindent=0.10
+ provides = Text::FindIndent=0.10
+ provides = perl-text-findindent=0.10
+ options = !emptydirs
+ source = http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/Text-FindIndent-0.10.tar.gz
+ md5sums = 765d619fc84e07b3c1e3ac6841e6a6b8
+
+pkgname = perl-text-findindent
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..178677dd7fa
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,56 @@
+# Maintainer: Jon Ribeiro <contact@jonathas.com>
+pkgname=perl-text-findindent
+_realname=Text-FindIdent
+pkgver=0.10
+pkgrel=1
+pkgdesc="'Heuristically determine the indent style'"
+arch=(i686 x86_64)
+license=('perl')
+url="http://search.cpan.org/~smueller/Text-FindIndent"
+options=(!emptydirs)
+
+depends=('perl>=5.10.1')
+makedepends=('perl')
+
+#provides=('Text-FindIndent')
+provides=('text-findindent=0.10' 'Text::FindIndent=0.10' 'perl-text-findindent=0.10')
+
+source=('http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/Text-FindIndent-0.10.tar.gz')
+
+md5sums=('765d619fc84e07b3c1e3ac6841e6a6b8')
+
+package() {
+ _expected_dir="${srcdir}/${_realname}-${pkgver}"
+ if [ -d "$_expected_dir" ]; then
+ cd "$_expected_dir"
+ else
+ _expected_dir="${srcdir}/$(bsdtar -t -f $(basename $source) | head -n1)"
+ if [ -d "$_expected_dir" ]; then
+ cd "$_expected_dir"
+ else
+ _makefile=$(find $srcdir -iname Makefile.PL)
+ if [ ! -z "$_makefile" ]; then
+ _expected_dir=$(dirname $_makefile)
+ if [ -d "$_expected_dir" ]; then
+ cd "$_expected_dir"
+ else
+ echo "ERROR unable to detect source directory"
+ echo "--> this is often due to CPAN's lack of standard naming conventions"
+ echo "--> it may be possible to fix this by adjusting the build function in the PKGBUILD"
+ fi
+ fi
+ fi
+ fi
+ # install module in vendor directories.
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ # remove perllocal.pod and .packlist
+ find ${pkgdir} -name perllocal.pod -delete
+ find ${pkgdir} -name .packlist -delete
+}
+
+# vim:set ts=2 sw=2 et:
+
+